/* tslint:disable */
/* eslint-disable */
/**
 * This file was automatically generated by Payload.
 * DO NOT MODIFY IT BY HAND. Instead, modify your source Payload config,
 * and re-run `payload generate:types` to regenerate this file.
 */

export interface Config {
  collections: {
    pages: Page;
    media: Media;
    users: User;
    people: Person;
    news: News;
    events: Event;
    updates: Update;
    redirects: Redirect;
    'payload-preferences': PayloadPreference;
    'payload-migrations': PayloadMigration;
  };
  globals: {
    header: Header;
    footer: Footer;
    misc: Misc;
  };
}
export interface Page {
  id: number;
  title: string;
  publishedAt?: string | null;
  breadcrumb?: boolean | null;
  layout?:
    | (
        | {
            images?:
              | {
                  page?: (number | null) | Page;
                  image?: number | Media | null;
                  id?: string | null;
                }[]
              | null;
            content?: {
              root: {
                children: {
                  type: string;
                  version: number;
                  [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                type: string;
                version: number;
              };
              [k: string]: unknown;
            } | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'carouselExplainer';
          }
        | {
            pages?:
              | {
                  title?: string | null;
                  image?: number | Media | null;
                  description?: string | null;
                  page?: (number | null) | Page;
                  id?: string | null;
                }[]
              | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'pageMasonry';
          }
        | {
            people?: (number | Person)[] | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'team';
          }
        | {
            students?:
              | {
                  name?: string | null;
                  role?: string | null;
                  discipline?: string | null;
                  testimony?: string | null;
                  id?: string | null;
                }[]
              | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'testimonies';
          }
        | {
            news?: (number | News)[] | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'newsMasonry';
          }
        | {
            title?: string | null;
            news?: (number | News)[] | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'newsUpdates';
          }
        | {
            image?: number | Media | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'hero';
          }
        | {
            title?: string | null;
            image?: number | Media | null;
            description?: string | null;
            content?: {
              root: {
                children: {
                  type: string;
                  version: number;
                  [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                type: string;
                version: number;
              };
              [k: string]: unknown;
            } | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'explainer';
          }
        | {
            columns?:
              | {
                  title?: string | null;
                  image?: number | Media | null;
                  description?: string | null;
                  content?: {
                    root: {
                      children: {
                        type: string;
                        version: number;
                        [k: string]: unknown;
                      }[];
                      direction: ('ltr' | 'rtl') | null;
                      format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                      indent: number;
                      type: string;
                      version: number;
                    };
                    [k: string]: unknown;
                  } | null;
                  id?: string | null;
                  blockName?: string | null;
                  blockType: 'explainer';
                }[]
              | null;
            id?: string | null;
            blockName?: string | null;
            blockType: 'row';
          }
        | {
            newsArticle?: (number | null) | News;
            id?: string | null;
            blockName?: string | null;
            blockType: 'article';
          }
      )[]
    | null;
  slug?: string | null;
  meta?: {
    title?: string | null;
    description?: string | null;
    image?: number | Media | null;
  };
  updatedAt: string;
  createdAt: string;
  _status?: ('draft' | 'published') | null;
}
export interface Media {
  id: number;
  alt?: string | null;
  caption?: {
    root: {
      children: {
        type: string;
        version: number;
        [k: string]: unknown;
      }[];
      direction: ('ltr' | 'rtl') | null;
      format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
      indent: number;
      type: string;
      version: number;
    };
    [k: string]: unknown;
  } | null;
  updatedAt: string;
  createdAt: string;
  url?: string | null;
  filename?: string | null;
  mimeType?: string | null;
  filesize?: number | null;
  width?: number | null;
  height?: number | null;
}
export interface Person {
  id: number;
  name?: string | null;
  image?: number | Media | null;
  email?: string | null;
  category?: ('staff' | 'leader' | 'alumni' | 'advisor') | null;
  updatedAt: string;
  createdAt: string;
}
export interface News {
  id: number;
  title: string;
  content?: {
    root: {
      children: {
        type: string;
        version: number;
        [k: string]: unknown;
      }[];
      direction: ('ltr' | 'rtl') | null;
      format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
      indent: number;
      type: string;
      version: number;
    };
    [k: string]: unknown;
  } | null;
  banner?: number | Media | null;
  album?:
    | {
        image: number | Media;
        caption?: string | null;
        id?: string | null;
      }[]
    | null;
  slug?: string | null;
  excerpt?: string | null;
  date?: string | null;
  thumbnail?: number | Media | null;
  updatedAt: string;
  createdAt: string;
}
export interface User {
  id: number;
  name?: string | null;
  roles?: ('admin' | 'user')[] | null;
  updatedAt: string;
  createdAt: string;
  email: string;
  resetPasswordToken?: string | null;
  resetPasswordExpiration?: string | null;
  salt?: string | null;
  hash?: string | null;
  loginAttempts?: number | null;
  lockUntil?: string | null;
  password: string | null;
}
export interface Event {
  id: number;
  date?: string | null;
  updatedAt: string;
  createdAt: string;
}
export interface Update {
  id: number;
  image?: (number | null) | Media;
  content?: {
    root: {
      children: {
        type: string;
        version: number;
        [k: string]: unknown;
      }[];
      direction: ('ltr' | 'rtl') | null;
      format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
      indent: number;
      type: string;
      version: number;
    };
    [k: string]: unknown;
  } | null;
  updatedAt: string;
  createdAt: string;
}
export interface Redirect {
  id: number;
  from: string;
  to?: {
    type?: ('reference' | 'custom') | null;
    reference?: {
      relationTo: 'pages';
      value: number | Page;
    } | null;
    url?: string | null;
  };
  updatedAt: string;
  createdAt: string;
}
export interface PayloadPreference {
  id: number;
  user: {
    relationTo: 'users';
    value: number | User;
  };
  key?: string | null;
  value?:
    | {
        [k: string]: unknown;
      }
    | unknown[]
    | string
    | number
    | boolean
    | null;
  updatedAt: string;
  createdAt: string;
}
export interface PayloadMigration {
  id: number;
  name?: string | null;
  batch?: number | null;
  updatedAt: string;
  createdAt: string;
}
export interface Header {
  id: number;
  navItems?:
    | {
        id?: string | null;
      }[]
    | null;
  updatedAt?: string | null;
  createdAt?: string | null;
}
export interface Footer {
  id: number;
  navItems?:
    | {
        label?: string | null;
        link?: (number | null) | Page;
        id?: string | null;
      }[]
    | null;
  updatedAt?: string | null;
  createdAt?: string | null;
}
export interface Misc {
  id: number;
  emailAddress?: string | null;
  phoneNumber?: string | null;
  name?: string | null;
  location?: string | null;
  benefactors?:
    | {
        benefactor?: string | null;
        id?: string | null;
      }[]
    | null;
  socialPresence?:
    | {
        label?: string | null;
        link?: string | null;
        id?: string | null;
      }[]
    | null;
  updatedAt?: string | null;
  createdAt?: string | null;
}


declare module 'payload' {
  export interface GeneratedTypes extends Config {}
}